#!/usr/bin/env node
const parser = require('./parser')
const inquirer = require('inquirer')

const TMEPLATE_URLS = {
  'react': 'https://gitee.com/sunshine002/template-zip/raw/master/react-template.zip',
  'react-ts': 'https://gitee.com/sunshine002/template-zip/raw/master/react-ts-template.zip',
  'react-chart': 'https://gitee.com/sunshine002/template-zip/raw/master/react-chart-template.zip'
}

const argv = process.argv
inquirer.prompt({
  type: 'list',
  name: 'type',
  message: "Please select React's Template type",
  choices: ['react', 'react-ts', 'react-chart'],
}).then(async answer => {
  const url = TMEPLATE_URLS[answer.type]
  const dir = argv.length > 2 ? argv[2].trim() : ''
  parser.initDir(dir)
  await parser.downloadTemplate(url, dir)
  await parser.unzipTemplate(dir)
  process.exit()
})